org.wildfly.swarm.logstash

## Class LogstashFraction

- java.lang.Object
- - org.wildfly.swarm.logstash.LogstashFraction

- All Implemented Interfaces:
    Fraction<LogstashFraction>

      public class LogstashFraction
      extends Object
      implements Fraction<LogstashFraction>

  Author:
    Ken Finnigan

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogstashFraction()`
    `LogstashFraction(String nodeKey, String nodeValue)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Fraction` | `createDefaultLogstashFraction()`
    `boolean` | `enabled()`
    `LogstashFraction` | `enabled(boolean enable)`
    `Properties` | `formatterProperties()`
    `String` | `hostname()`
    `LogstashFraction` | `hostname(String hostname)`
    `Level` | `level()`
    `LogstashFraction` | `level(Level level)`
    `LogstashFraction` | `metadata(String key, String value)`
    `int` | `port()`
    `LogstashFraction` | `port(int port)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.wildfly.swarm.spi.api.Fraction

      `applyDefaults, applyDefaults`

- - ### Constructor Detail

    - #### LogstashFraction

          public LogstashFraction()

    - #### LogstashFraction

          public LogstashFraction(String nodeKey,
                                  String nodeValue)

  - ### Method Detail

    - #### createDefaultLogstashFraction

          public static Fraction createDefaultLogstashFraction()

    - #### level

          public LogstashFraction level(Level level)

    - #### level

          public Level level()

    - #### hostname

          public LogstashFraction hostname(String hostname)

    - #### hostname

          public String hostname()

    - #### port

          public LogstashFraction port(int port)

    - #### port

          public int port()

    - #### formatterProperties

          public Properties formatterProperties()

    - #### metadata

          public LogstashFraction metadata(String key,
                                           String value)

    - #### enabled

          public LogstashFraction enabled(boolean enable)

    - #### enabled

          public boolean enabled()

Copyright © 2017 JBoss by Red Hat. All rights reserved.